%
% success = blobworld_2_mil(positives_file, negatives_file, mil_file, shape_type)
%   shape_type = 0-4 (0 - default)
%               [none/shape_oriented/shape_nonoriented
%                   /shape_oriented_size_inv/shape_nonoriented_size_inv]
%
% E.g.  blobworld_2_mil('positive_bags', 'negative_bags', 'blobworld_mil.dat')
%
function success = blobworld_2_mil(positive_bdmat_filelist, negative_bdmat_filelist, mil_filename, in_shape_type)
%
% By Stuart Andrews (stu@cs.brown.edu)
% Brown University, Providence, RI
% Last modified: August 2003
%

shape_type = 0;
if (nargin >=4)
    shape_type      = in_shape_type;
end

% generate bags with label -1 (starting with bag_index 0)
starting_index   = 0;
positive_bag_set = generate_bag_set(positive_bdmat_filelist, 1, starting_index, shape_type);
%sz_pg       = size(positive_bag_set)


% generate bags with label -1 (starting with bag_index max_I)
starting_index   = max_index(positive_bag_set);
negative_bag_set = generate_bag_set(negative_bdmat_filelist, -1, starting_index, shape_type);
%sz_ng       = size(negative_bag_set)


% normalize
bag_set         = normalize_bag_set([positive_bag_set, negative_bag_set]);

comment         = ['Generated by blobworld_2_mil(', ...
                    positive_bdmat_filelist, ', ', ...
                    negative_bdmat_filelist, ', ', ...
                    mil_filename, ', ', num2str(shape_type), ')'];

success         = write_bag_set(mil_filename, bag_set, comment);

return;

